{
  // Get TB98 detector
  //------------------
  TPhDetector *det;
  TPhDetector::DeleteInstance();
  const Char_t *phathome = gSystem->Getenv("PHATHOME");
  Char_t *detpath[100];
  sprintf(detpath,"%s/init/Detector_TB98.root",phathome);
  TFile *detfile = new TFile(detpath);
//  TFile *detfile = new TFile("Detector_TB98.root"); 
  det = (TPhDetector *) detfile->Get("TB98_V1.0;1");
  det->Print();

  TPhFECDetector *fecd;
  TPhFEC *fec;
  TPhString *str;

  det->BuildFECDetector();
  fecd = det->GetFECDetector();
  printf("Readin calibration data base.\n");
  fecd->ReadCalibrationTB98File("calbase_21_24.cal");
}